//package com.shxy.i2;
//
//import org.apache.cxf.jaxws.JaxWsProxyFactoryBean;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.oxm.jaxb.Jaxb2Marshaller;
//import org.springframework.ws.client.core.WebServiceTemplate;
//import org.springframework.ws.transport.http.HttpUrlConnectionMessageSender;
//
//import javax.xml.ws.soap.SOAPBinding;
//
//@Configuration
//public class WebServiceConfig {
//
//    @Bean(name = "webServiceTemplate")
//    public WebServiceTemplate webServiceTemplate(Jaxb2Marshaller marshaller) {
//        WebServiceTemplate webServiceTemplate = new WebServiceTemplate();
//        webServiceTemplate.setMarshaller(marshaller);
//        webServiceTemplate.setUnmarshaller(marshaller);
//        webServiceTemplate.setMessageSender(httpUrlConnectionMessageSender());
//        return webServiceTemplate;
//    }
//
//    @Bean(name="httpUrlConnectionMessageSender")
//    public HttpUrlConnectionMessageSender httpUrlConnectionMessageSender() {
//        return new HttpUrlConnectionMessageSender();
//    }
//
//    @Bean
//    public Jaxb2Marshaller marshaller() {
//        Jaxb2Marshaller marshaller = new Jaxb2Marshaller();
//        marshaller.setContextPath("com.example.demo");
//        return marshaller;
//    }
//
//    @Bean(name="testServiceClient")
//    public TestService testServiceClient(Jaxb2Marshaller marshaller) {
//        JaxWsProxyFactoryBean factory = new JaxWsProxyFactoryBean();
//        factory.setServiceClass(TestService.class);
//        factory.setAddress("http://localhost:8080/services/TestService");
//        factory.setServiceName(new QName("http://example.com/", "TestServicePort"));
//        factory.setEndpointName(new QName("http://example.com/", "TestServiceSoap"));
//        factory.setBindingId(SOAPBinding.SOAP11HTTP_BINDING);
//        factory.setUnmarshaller(marshaller);
//        factory.setMarshaller(marshaller);
//
//        Object obj = factory.create();
//        return (TestService) obj;
//    }
//
//}
