package com.shxy.i2.constant;


/**
 * 常用状态
 * "0---删除   1---生效中"
 *
 * @author 晶晶
 */
public enum CommonStatus {
    UNUPLOAD("UNUPLOAD", 0), UPLOAD("UPLOAD", 1);

    private String name;
    private Integer value;

    CommonStatus(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    @Override
    public String toString() {
        return this.value + "_" + this.name;
    }

    public Integer value() {
        return this.value;
    }
}
